<?php 
class ControllerFacecommerceCatalogo extends Controller {  
  public function index(){
    $this->load->model('catalog/product');
    $this->load->model('tool/image'); 
    
    $data = array(
				'filter_category_id' => 20, 
				'start'              => 0,
				'limit'              => 10
			);
		$produtos = $this->model_catalog_product->getProducts($data);
		$loja = array();
		$i=0;
		foreach($produtos as $item){
			$loja['Produtos'][$i]['id'] = $item['product_id'];
			$loja['Produtos'][$i]['descr'] = $item['name'];
			$loja['Produtos'][$i]['detalhes'] = $item['description'];
			$loja['Produtos'][$i]['imagem'] =$this->model_tool_image->resize($item['image'], 180, 100);
			$loja['Produtos'][$i]['valor'] = number_format($item['price'], 2, ".", "");
			$loja['Produtos'][$i]['peso'] = number_format($item['weight'], 2, ".", "");
			$i++;
		}
		print json_encode($loja);
  }
}